# $Revision: 1.6.2.2 $, $Date: 2003/08/08 13:53:11 $
Summary:	DeFX Multi-effects processor Plug-in for XMMS
Summary(pl):	Procesor efektw DeFX - wtyczka dla XMMS
Name:		xmms-effect-defx
Version:	0.9.8
Release:	3
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://defx.sourceforge.net/defx/defx-%{version}.tar.gz
# Source0-md5:	eee11e5299425b729ad7ad5a588e3906
URL:		http://defx.sourceforge.net/
BuildRequires:	xmms-devel >= 1.2.3
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xmms_plugin_dir	%(xmms-config --effect-plugin-dir)

%description
DeFX is a plug-in module for XMMS. It supports 6 types of effects,
grouped into 4 different modules:
 - Karaoke: Removes the song's voices trying to preserve the bass and
   drums
 - Panning: Smoothly selects between the two stereo channels
 - Modulation: Three classical effects. Flange, phaser and chorus
 - Reverberation: You can simulate your songs as being played in a
   huge room.

%description -l pl
DeFX to wtyczka do XMMS umoliwiajca uzyskanie 6 typw efektw,
pogrupowanych w 4 oddzielne moduy:
- Karaoke: usuwa gos starajc si zachowa reszt dwikw,
- Panning: pynne przejcia midzy kanaami stereo,
- Modulacja: trzy klasyczne efekty: flange, fazer i chorus,
- Rewerbracja: symuluje odtwarzanie w duym pomieszczeniu.

%prep
%setup -q -n defx-%{version}

%build
%{__make} \
	CC=%{__cc} \
	CFLAGS="-c %{rpmcflags} -ffast-math `gtk-config --cflags`"

%install
rm -rf $RPM_BUILD_ROOT

install -D lib/defx.so \
	$RPM_BUILD_ROOT%{_xmms_plugin_dir}/defx.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/* README
%attr(755,root,root) %{_xmms_plugin_dir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-effect-defx.spec,v $
Revision 1.6.2.2  2003/08/08 13:53:11  misi3k
- rel 3
- rebuild
- md5

Revision 1.6.2.1  2003/07/11 12:04:54  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.6  2003/02/06 01:50:52  kloczek
- release 2: install plugin in system avalailbe xmms plugin depending path.

Revision 1.5  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.4  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.3  2002/07/14 22:22:34  qboosh
- little better pl description, cosmetics, fixed changelog
